## ecasound2.2 2.3.5-7ubuntu1

=== ecasound/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# ecasound/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
#INCLUDES = -I$(top_srcdir)/readline-4.0 -I$(srcdir) -I$(top_srcdir) -I$(top_srcdir)/libecasound -I$(top_srcdir)/kvutils
INCLUDES = -I$(ECA_S_READLINE_INCLUDES) -I$(srcdir) -I$(top_srcdir) -I$(top_srcdir)/libecasound -I$(top_srcdir)/kvutils

termcap_library_ncurses = -lncurses

#termcap_library_termcap = -ltermcap

termcap_library = $(termcap_library_ncurses) $(termcap_library_termcap)

#bin_PROGRAMS = ecasound_debug
bin_PROGRAMS = ecasound

ecasound_SOURCES = ecasound.cpp \
			ecasound.h \
			eca-console.h \
			eca-curses.h \
			eca-curses.cpp \
			eca-comhelp.cpp \
			eca-comhelp.h \
			eca-neteci-server.cpp \
			eca-neteci-server.h \
			eca-plaintext.h \
			eca-plaintext.cpp \
			textdebug.cpp \
			textdebug.h



#			eca-text.cpp \
#			eca-text.h \
#			eca-iam.cpp \
#			eca-iam.h
ecasound_debug_SOURCES = $(ecasound_SOURCES)

#ecasound_LDFLAGS = -export-dynamic

ecasound_LDFLAGS = -export-dynamic
#ecasound_LDADD = $(top_builddir)/readline-4.0/libreadline.a \
#		$(top_builddir)/readline-4.0/libhistory.a $(termcap_library) \
#		$(top_builddir)/libecasound/libecasound.la \
#		$(top_builddir)/kvutils/libkvutils.la

ecasound_LDADD = $(termcap_library) \
		$(ECA_S_READLINE_LIBS) -lreadline -lhistory \
		$(top_builddir)/libecasound/libecasound.la \
		$(top_builddir)/kvutils/libkvutils.la

#ecasound_debug_LDFLAGS = $(ecasound_LDFLAGS)
ecasound_debug_LDFLAGS = $(ecasound_LDFLAGS)
#ecasound_debug_LDADD = $(top_builddir)/readline-4.0/libreadline.a \
#		$(top_builddir)/readline-4.0/libhistory.a $(termcap_library) \
#	 	$(top_builddir)/libecasound/libecasound_debug.la \
#		$(top_builddir)/kvutils/libkvutils_debug.la

ecasound_debug_LDADD = $(termcap_library) \
		$(ECA_S_READLINE_LIBS) -lreadline -lhistory \
	 	$(top_builddir)/libecasound/libecasound_debug.la \
		$(top_builddir)/kvutils/libkvutils_debug.la

subdir = ecasound
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
#bin_PROGRAMS = ecasound_debug$(EXEEXT)
bin_PROGRAMS = ecasound$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_ecasound_OBJECTS = ecasound.$(OBJEXT) eca-curses.$(OBJEXT) \
	eca-comhelp.$(OBJEXT) eca-neteci-server.$(OBJEXT) \
	eca-plaintext.$(OBJEXT) textdebug.$(OBJEXT)
ecasound_OBJECTS = $(am_ecasound_OBJECTS)
###ecasound_DEPENDENCIES = \
###	$(top_builddir)/readline-4.0/libreadline.a \
###	$(top_builddir)/readline-4.0/libhistory.a \
###	$(top_builddir)/libecasound/libecasound.la \
###	$(top_builddir)/kvutils/libkvutils.la
##ecasound_DEPENDENCIES = \
##	$(top_builddir)/readline-4.0/libreadline.a \
##	$(top_builddir)/readline-4.0/libhistory.a \
##	$(top_builddir)/libecasound/libecasound.la \
##	$(top_builddir)/kvutils/libkvutils.la
##ecasound_DEPENDENCIES = \
##	$(top_builddir)/readline-4.0/libreadline.a \
##	$(top_builddir)/readline-4.0/libhistory.a \
##	$(top_builddir)/libecasound/libecasound.la \
##	$(top_builddir)/kvutils/libkvutils.la
#ecasound_DEPENDENCIES = \
#	$(top_builddir)/readline-4.0/libreadline.a \
#	$(top_builddir)/readline-4.0/libhistory.a \
#	$(top_builddir)/libecasound/libecasound.la \
#	$(top_builddir)/kvutils/libkvutils.la
##ecasound_DEPENDENCIES = \
##	$(top_builddir)/libecasound/libecasound.la \
##	$(top_builddir)/kvutils/libkvutils.la
#ecasound_DEPENDENCIES = \
#	$(top_builddir)/libecasound/libecasound.la \
#	$(top_builddir)/kvutils/libkvutils.la
#ecasound_DEPENDENCIES = \
#	$(top_builddir)/libecasound/libecasound.la \
#	$(top_builddir)/kvutils/libkvutils.la
ecasound_DEPENDENCIES = \
	$(top_builddir)/libecasound/libecasound.la \
	$(top_builddir)/kvutils/libkvutils.la
am__objects_1 = ecasound.$(OBJEXT) eca-curses.$(OBJEXT) \
	eca-comhelp.$(OBJEXT) eca-neteci-server.$(OBJEXT) \
	eca-plaintext.$(OBJEXT) textdebug.$(OBJEXT)
am_ecasound_debug_OBJECTS = $(am__objects_1)
ecasound_debug_OBJECTS = $(am_ecasound_debug_OBJECTS)
###ecasound_debug_DEPENDENCIES = \
###	$(top_builddir)/readline-4.0/libreadline.a \
###	$(top_builddir)/readline-4.0/libhistory.a \
###	$(top_builddir)/libecasound/libecasound_debug.la \
###	$(top_builddir)/kvutils/libkvutils_debug.la
##ecasound_debug_DEPENDENCIES = \
##	$(top_builddir)/readline-4.0/libreadline.a \
##	$(top_builddir)/readline-4.0/libhistory.a \
##	$(top_builddir)/libecasound/libecasound_debug.la \
##	$(top_builddir)/kvutils/libkvutils_debug.la
##ecasound_debug_DEPENDENCIES = \
##	$(top_builddir)/readline-4.0/libreadline.a \
##	$(top_builddir)/readline-4.0/libhistory.a \
##	$(top_builddir)/libecasound/libecasound_debug.la \
##	$(top_builddir)/kvutils/libkvutils_debug.la
#ecasound_debug_DEPENDENCIES = \
#	$(top_builddir)/readline-4.0/libreadline.a \
#	$(top_builddir)/readline-4.0/libhistory.a \
#	$(top_builddir)/libecasound/libecasound_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
##ecasound_debug_DEPENDENCIES = \
##	$(top_builddir)/libecasound/libecasound_debug.la \
##	$(top_builddir)/kvutils/libkvutils_debug.la
#ecasound_debug_DEPENDENCIES = \
#	$(top_builddir)/libecasound/libecasound_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
#ecasound_debug_DEPENDENCIES = \
#	$(top_builddir)/libecasound/libecasound_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
ecasound_debug_DEPENDENCIES = \
	$(top_builddir)/libecasound/libecasound_debug.la \
	$(top_builddir)/kvutils/libkvutils_debug.la

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/eca-comhelp.Po \
	./$(DEPDIR)/eca-curses.Po \
	./$(DEPDIR)/eca-neteci-server.Po \
	./$(DEPDIR)/eca-plaintext.Po \
	./$(DEPDIR)/ecasound.Po ./$(DEPDIR)/textdebug.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)

=== ecatools/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# ecatools/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = ecasound.el ecamonitor

#libkvutils_path = $(top_builddir)/kvutils/libkvutils_debug.la
libkvutils_path = $(top_builddir)/kvutils/libkvutils.la
#libecasoundc_path = $(top_builddir)/libecasoundc/libecasoundc_debug.la
libecasoundc_path = $(top_builddir)/libecasoundc/libecasoundc.la

ncurses_library = -lncurses

#termcap_library = -ltermcap

INCLUDES = -I$(srcdir) -I$(top_srcdir) -I$(top_srcdir)/kvutils -I$(top_srcdir)/libecasound -I$(top_srcdir)/libecasoundc

bin_SCRIPTS = ecamonitor

#bin_PROGRAMS = ecaconvert_debug \
#		ecafixdc_debug \
#	        ecalength_debug \
#		ecanormalize_debug \
#		ecaplay_debug \
#		ecasignalview_debug

bin_PROGRAMS = ecaconvert \
		ecafixdc \
	        ecalength \
		ecanormalize \
		ecaplay \
		ecasignalview



# --
noinst_HEADERS = ecicpp_helpers.h

ecaconvert_SOURCES = ecaconvert.cpp ecicpp_helpers.cpp
ecaconvert_LDADD = $(libecasoundc_path) $(libkvutils_path)

ecafixdc_SOURCES = ecafixdc.cpp ecicpp_helpers.cpp
ecafixdc_LDADD = $(libecasoundc_path) $(libkvutils_path)

ecalength_SOURCES = ecalength.c
ecalength_LDADD = $(libecasoundc_path)

ecanormalize_SOURCES = ecanormalize.cpp ecicpp_helpers.cpp
ecanormalize_LDADD = $(libecasoundc_path) $(libkvutils_path)

ecaplay_SOURCES = ecaplay.c
ecaplay_LDADD = $(libecasoundc_path)

ecasignalview_SOURCES = ecasignalview.cpp ecicpp_helpers.cpp
ecasignalview_LDADD = $(libecasoundc_path) $(libkvutils_path) $(termcap_library) $(ncurses_library)


# --
ecaconvert_debug_SOURCES = $(ecaconvert_SOURCES)
ecaconvert_debug_LDADD = $(ecaconvert_LDADD)

ecafixdc_debug_SOURCES = $(ecafixdc_SOURCES)
ecafixdc_debug_LDADD = $(ecafixdc_LDADD)

ecalength_debug_SOURCES = $(ecalength_SOURCES)
ecalength_debug_LDADD = $(ecalength_LDADD)

ecanormalize_debug_SOURCES = $(ecanormalize_SOURCES)
ecanormalize_debug_LDADD = $(ecanormalize_LDADD)
ecanormalize_debug_LDFLAGS = $(ecanormalize_LDFLAGS)

ecaplay_debug_SOURCES = $(ecaplay_SOURCES)
ecaplay_debug_LDADD = $(ecaplay_LDADD)

ecasignalview_debug_SOURCES = $(ecasignalview_SOURCES)
ecasignalview_debug_LDADD = $(ecasignalview_LDADD)
subdir = ecatools
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
#bin_PROGRAMS = ecaconvert_debug$(EXEEXT) \
#	ecafixdc_debug$(EXEEXT) \
#	ecalength_debug$(EXEEXT) \
#	ecanormalize_debug$(EXEEXT) \
#	ecaplay_debug$(EXEEXT) \
#	ecasignalview_debug$(EXEEXT)
bin_PROGRAMS = ecaconvert$(EXEEXT) \
	ecafixdc$(EXEEXT) ecalength$(EXEEXT) \
	ecanormalize$(EXEEXT) ecaplay$(EXEEXT) \
	ecasignalview$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_ecaconvert_OBJECTS = ecaconvert.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
ecaconvert_OBJECTS = $(am_ecaconvert_OBJECTS)
#ecaconvert_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
ecaconvert_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la \
	$(top_builddir)/kvutils/libkvutils.la
ecaconvert_LDFLAGS =
am__objects_1 = ecaconvert.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
am_ecaconvert_debug_OBJECTS = $(am__objects_1)
ecaconvert_debug_OBJECTS = $(am_ecaconvert_debug_OBJECTS)
#ecaconvert_debug_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
ecaconvert_debug_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la \
	$(top_builddir)/kvutils/libkvutils.la
ecaconvert_debug_LDFLAGS =
am_ecafixdc_OBJECTS = ecafixdc.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
ecafixdc_OBJECTS = $(am_ecafixdc_OBJECTS)
#ecafixdc_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
ecafixdc_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la \
	$(top_builddir)/kvutils/libkvutils.la
ecafixdc_LDFLAGS =
am__objects_2 = ecafixdc.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
am_ecafixdc_debug_OBJECTS = $(am__objects_2)
ecafixdc_debug_OBJECTS = $(am_ecafixdc_debug_OBJECTS)
#ecafixdc_debug_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
ecafixdc_debug_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la \
	$(top_builddir)/kvutils/libkvutils.la
ecafixdc_debug_LDFLAGS =
am_ecalength_OBJECTS = ecalength.$(OBJEXT)
ecalength_OBJECTS = $(am_ecalength_OBJECTS)
#ecalength_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la
ecalength_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la
ecalength_LDFLAGS =
am__objects_3 = ecalength.$(OBJEXT)
am_ecalength_debug_OBJECTS = $(am__objects_3)
ecalength_debug_OBJECTS = $(am_ecalength_debug_OBJECTS)
#ecalength_debug_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la
ecalength_debug_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la
ecalength_debug_LDFLAGS =
am_ecanormalize_OBJECTS = ecanormalize.$(OBJEXT) \
	ecicpp_helpers.$(OBJEXT)
ecanormalize_OBJECTS = $(am_ecanormalize_OBJECTS)
#ecanormalize_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
ecanormalize_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la \
	$(top_builddir)/kvutils/libkvutils.la
ecanormalize_LDFLAGS =
am__objects_4 = ecanormalize.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
am_ecanormalize_debug_OBJECTS = $(am__objects_4)
ecanormalize_debug_OBJECTS = $(am_ecanormalize_debug_OBJECTS)
#ecanormalize_debug_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
ecanormalize_debug_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la \
	$(top_builddir)/kvutils/libkvutils.la
am_ecaplay_OBJECTS = ecaplay.$(OBJEXT)
ecaplay_OBJECTS = $(am_ecaplay_OBJECTS)
#ecaplay_DEPENDENCIES = \
#	$(top_builddir)/libecasoundc/libecasoundc_debug.la
ecaplay_DEPENDENCIES = \
	$(top_builddir)/libecasoundc/libecasoundc.la
ecaplay_LDFLAGS =

=== kvutils/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# kvutils/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign


# ---
# Makefile.am for building libkvutils.a
# ---
#lib_LTLIBRARIES = libkvutils_debug.la
lib_LTLIBRARIES = libkvutils.la

TESTS = libkvutils_tester
check_PROGRAMS = $(TESTS)

kvutil_sources = kvu_com_line.cpp \
			kvu_fd_io.cpp \
			kvu_locks.cpp \
			kvu_message_item.cpp \
			kvu_numtostr.cpp \
			kvu_procedure_timer.cpp \
			kvu_rtcaps.cpp \
			kvu_temporary_file_directory.cpp \
			kvu_threads.cpp \
			kvu_utils.cpp \
		 	kvu_value_queue.cpp


kvutil_headers = kvu_dbc.h \
			kvu_definition_by_contract.h \
			kvu_com_line.h \
			kvu_fd_io.h \
			kvu_locks.h \
			kvu_message_item.h \
			kvu_numtostr.h \
			kvu_object_queue.h \
			kvu_procedure_timer.h \
			kvu_rtcaps.h \
			kvu_temporary_file_directory.h \
			kvu_threads.h \
			kvu_utils.h \
			kvu_value_queue.h \
			kvu_inttypes.h


libkvutils_la_SOURCES = $(kvutil_sources) $(kvutil_headers)
libkvutils_la_LDFLAGS = -version-info 6:0:2 -static

libkvutils_debug_la_SOURCES = $(libkvutils_la_SOURCES)
libkvutils_debug_la_LDFLAGS = $(libkvutils_la_LDFLAGS)

libkvutils_tester_SOURCES = libkvutils_tester.cpp
libkvutils_tester_LDFLAGS = -static
libkvutils_tester_LDADD = $(lib_LTLIBRARIES)

noinst_HEADERS = $(kvutil_headers)
subdir = kvutils
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libkvutils_la_LIBADD =
am__objects_1 = kvu_com_line.lo kvu_fd_io.lo kvu_locks.lo \
	kvu_message_item.lo kvu_numtostr.lo kvu_procedure_timer.lo \
	kvu_rtcaps.lo kvu_temporary_file_directory.lo kvu_threads.lo \
	kvu_utils.lo kvu_value_queue.lo
am__objects_2 =
am_libkvutils_la_OBJECTS = $(am__objects_1) $(am__objects_2)
libkvutils_la_OBJECTS = $(am_libkvutils_la_OBJECTS)
libkvutils_debug_la_LIBADD =
am__objects_3 = $(am__objects_1) $(am__objects_2)
am_libkvutils_debug_la_OBJECTS = $(am__objects_3)
libkvutils_debug_la_OBJECTS = $(am_libkvutils_debug_la_OBJECTS)
check_PROGRAMS = libkvutils_tester$(EXEEXT)
am_libkvutils_tester_OBJECTS = libkvutils_tester.$(OBJEXT)
libkvutils_tester_OBJECTS = $(am_libkvutils_tester_OBJECTS)
#libkvutils_tester_DEPENDENCIES = \
#	libkvutils_debug.la
libkvutils_tester_DEPENDENCIES = libkvutils.la

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/kvu_com_line.Plo \
	./$(DEPDIR)/kvu_fd_io.Plo ./$(DEPDIR)/kvu_locks.Plo \
	./$(DEPDIR)/kvu_message_item.Plo \
	./$(DEPDIR)/kvu_numtostr.Plo \
	./$(DEPDIR)/kvu_procedure_timer.Plo \
	./$(DEPDIR)/kvu_rtcaps.Plo \
	./$(DEPDIR)/kvu_temporary_file_directory.Plo \
	./$(DEPDIR)/kvu_threads.Plo \
	./$(DEPDIR)/kvu_utils.Plo \
	./$(DEPDIR)/kvu_value_queue.Plo \
	./$(DEPDIR)/libkvutils_tester.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libkvutils_la_SOURCES) $(libkvutils_debug_la_SOURCES) \
	$(libkvutils_tester_SOURCES)
HEADERS = $(noinst_HEADERS)

DIST_COMMON = README $(noinst_HEADERS) $(srcdir)/Makefile.in COPYING \
	ChangeLog INSTALL Makefile.am missing
SOURCES = $(libkvutils_la_SOURCES) $(libkvutils_debug_la_SOURCES) $(libkvutils_tester_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kvutils/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libkvutils.la: $(libkvutils_la_OBJECTS) $(libkvutils_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkvutils_la_LDFLAGS) $(libkvutils_la_OBJECTS) $(libkvutils_la_LIBADD) $(LIBS)
libkvutils_debug.la: $(libkvutils_debug_la_OBJECTS) $(libkvutils_debug_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkvutils_debug_la_LDFLAGS) $(libkvutils_debug_la_OBJECTS) $(libkvutils_debug_la_LIBADD) $(LIBS)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

=== libecasound/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libecasound/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E

# Add this to CPPFLAGS
CPPFLAGS =  "-DPKGDATADIR=\"${pkgdatadir}\""
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = ChangeLog
AUTOMAKE_OPTIONS = foreign
SUBDIRS = plugins


# ----------------------------------------------------------------------
# build targets and compiler options target defines
# ----------------------------------------------------------------------
#lib_LTLIBRARIES = libecasound_debug.la
lib_LTLIBRARIES = libecasound.la

TESTS = libecasound_tester

check_PROGRAMS = libecasound_tester

# ----------------------------------------------------------------------
# compiler and linker options
# ----------------------------------------------------------------------

# if ECA_AM_ALL_STATIC
# FIXME: always link ecasound-plugins statically
#eca_libadd = $(top_builddir)/libecasound/plugins/libecasound_plugins_debug.la $(ECA_S_EXTRA_LIBS)
eca_libadd = $(top_builddir)/libecasound/plugins/libecasound_plugins.la $(ECA_S_EXTRA_LIBS)

eca_ldflags = -version-info 13:0:4

#libecasound_tester_libs = $(top_builddir)/libecasound/libecasound_debug.la \
#				$(top_builddir)/kvutils/libkvutils_debug.la

libecasound_tester_libs = $(top_builddir)/libecasound/libecasound.la \
				$(top_builddir)/kvutils/libkvutils.la



# note! Automake >= 1.5 will install stripped libraries
#       with "make install-strip". Older versions won't
#       strip libraries even if INSTALL_STRIP_FLAG is set.
#       also libtool 1.3.2 and older have problems 
#       with stripping libraries.
INCLUDES = -I$(srcdir) \
		-I$(top_srcdir)/kvutils \
		$(ECA_S_EXTRA_CPPFLAGS)



# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
ecasound_audiofx_include = \
			audiofx.h \
			audiofx_misc.h \
			audiofx_amplitude.h \
			audiofx_compressor.h \
			audiofx_analysis.h \
			audiofx_envelope_modulation.h \
			audiofx_filter.h \
			audiofx_rcfilter.h \
			audiofx_reverb.h \
			audiofx_timebased.h \
			audiogate.h \
			audiofx_mixing.h \
			audiofx_ladspa.h \
			audio-stamp.h


ecasound_preset_include = \
			preset.h \
			preset_impl.h \
			file-preset.h \
			global-preset.h


ecasound_audioio_include = \
			audioio.h \
			audioio-buffered.h \
			audioio-device.h \
			audioio-plugin.h \
			audioio-manager.h \
			audioio-cdr.h \
			audioio-cdr_impl.h \
			audioio-ewf.h \
			audioio-mp3.h \
			audioio-mp3_impl.h \
			audioio-ogg.h \
			audioio-wave.h \
			audioio-raw.h \
			audioio-oss.h \
			audioio-oss_impl.h \
			audioio-null.h \
			audioio-rtnull.h \
			audioio-mikmod.h \
			audioio-loop.h \
			audioio-forked-stream.h \
			audioio-timidity.h \
			audioio-db-server.h \
			audioio-db-server_impl.h \
			audioio-db-buffer.h \
			audioio-db-client.h \
			audioio-proxy.h \
			audioio-typeselect.h \
			audioio-resample.h \
			audioio-reverse.h \
			audioio-flac.h \
			audioio-aac.h


ecasound_midi_include = \
			midi-server.h \
			midi-client.h \
			midi-parser.h \
			midiio.h \
			midiio-raw.h


ecasound_controller_include = \
			ctrl-source.h \
			midi-cc.h \
			oscillator.h \
			osc-gen.h \
			osc-gen-file.h \
			osc-sine.h \
			linear-envelope.h \
			two-stage-linear-envelope.h \
			stamp-ctrl.h \
	 		generic-linear-envelope.h


ecasound_general_include = \
			eca-chain.h \
			eca-chainop.h \
			eca-error.h \
			eca-logger.h \
			eca-logger-default.h \
			eca-logger-interface.h \
			eca-logger-wellformed.h \
			eca-engine.h \
			eca-engine-driver.h \
			eca-engine_impl.h \
			eca-session.h \
			eca-resources.h \
			resource-file.h \
			layer.h \
			eca-static-object-maps.h \
			eca-object-map.h \
			eca-preset-map.h \
			samplebuffer.h \
			samplebuffer_impl.h \
			samplebuffer_functions.h \
			samplebuffer_iterators.h \
			sample-specs.h \
			eca-sample-conversion.h \
			eca-version.h \
			eca-object-factory.h \
			eca-chainsetup.h \
			eca-chainsetup_impl.h \
			eca-chainsetup-bufparams.h \
			eca-chainsetup-parser.h \
			eca-chainsetup-position.h \
			eca-control.h \
			eca-control-base.h \
			eca-control-objects.h \
			eca-control-dump.h \
			eca-iamode-parser.h \
			eca-iamode-parser_impl.h \
			eca-audio-position.h \
			eca-fileio.h  \
			eca-fileio-stream.h \
			eca-fileio-mmap.h \
			dynamic-parameters.h \
			dynamic-object.h \
			eca-object.h \
			eca-operator.h \
			generic-controller.h \
			eca-samplerate-aware.h \
			eca-audio-format.h \
			eca-audio-time.h


ecasound_extra_include = \
			ladspa.h


ecasound_test_framework_include = \
			eca-test-repository.h \
			eca-test-case.h \
			eca-chainsetup_test.h \
			eca-control_test.h \
			eca-session_test.h \
			eca-object-factory_test.h \
			eca-sample-conversion_test.h \
			audioio_test.h \
			audioio-device_test.h


# note! also remembers to update install-data-local and 
#       uninstall-data targets
noinst_HEADERS = $(ecasound_audiofx_include) \
			$(ecasound_preset_include) \
			$(ecasound_audioio_include) \
			$(ecasound_midi_include) \
		 	$(ecasound_controller_include) \
			$(ecasound_general_include) \
			$(ecasound_extra_include) \
			$(ecasound_test_framework_include)



# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------
ecasound_audiofx_src = audiofx.cpp \
			audiofx_misc.cpp \
			audiofx_amplitude.cpp \
			audiofx_compressor.cpp \
			audiofx_analysis.cpp \
			audiofx_envelope_modulation.cpp \
			audiofx_filter.cpp \
			audiofx_rcfilter.cpp \
			audiofx_reverb.cpp \
			audiofx_timebased.cpp \
			audiogate.cpp \
			audiofx_mixing.cpp \
			audiofx_ladspa.cpp \
			audio-stamp.cpp


ecasound_preset_src = global-preset.cpp \
			preset.cpp \
			file-preset.cpp


ecasound_audioio1_src = audioio-cdr.cpp \
			audioio-ewf.cpp \
			audioio-mp3.cpp \
			audioio-ogg.cpp \
			audioio-wave.cpp \
			audioio.cpp \
			audioio-buffered.cpp \
			audioio-device.cpp \
			audioio-raw.cpp \
			audioio-mikmod.cpp \

=== libecasoundc/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libecasoundc/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = ChangeLog
AUTOMAKE_OPTIONS = foreign

# ----------------------------------------------------------------------
# defines
# ----------------------------------------------------------------------

# !!!
# remember to update eca-version.cpp
#eca_ldflags = -version-info 1:0:0 -static
eca_ldflags = -s -version-info 1:0:0 -static

INCLUDES = -I$(srcdir)

# -I$(top_srcdir)/libecasound

# ----------------------------------------------------------------------
# build targets and compiler options target defines
# ----------------------------------------------------------------------
#lib_LTLIBRARIES = libecasoundc_debug.la
lib_LTLIBRARIES = libecasoundc.la

TESTS = libecasoundc_tester ecicpp_tester

check_PROGRAMS = $(TESTS)


# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
ecasoundc_includes = ecasoundc.h \
			eca-control-interface.h

noinst_HEADERS = $(ecasoundc_includes)

# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------

# standalone implementation (forks and execs the ecasound binary)
ecasoundc_src = ecasoundc_sa.c \
		eca-control-interface.cpp



# ----------------------------------------------------------------------
# library definitons
# ----------------------------------------------------------------------
libecasoundc_la_SOURCES = $(ecasoundc_src)
libecasoundc_la_LIBADD = 
libecasoundc_la_LDFLAGS = -export-dynamic $(eca_ldflags)
libecasoundc_debug_la_SOURCES = $(libecasoundc_la_SOURCES)
libecasoundc_debug_la_LIBADD = 
libecasoundc_debug_la_LDFLAGS = $(libecasoundc_la_LDFLAGS)

libecasoundc_tester_SOURCES = libecasoundc_tester.c
libecasoundc_tester_LDADD = $(lib_LTLIBRARIES)

ecicpp_tester_SOURCES = ecicpp_tester.cpp
ecicpp_tester_LDADD = $(lib_LTLIBRARIES)
subdir = libecasoundc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = libecasoundc-config
LTLIBRARIES = $(lib_LTLIBRARIES)

libecasoundc_la_DEPENDENCIES =
am__objects_1 = ecasoundc_sa.lo eca-control-interface.lo
am_libecasoundc_la_OBJECTS = $(am__objects_1)
libecasoundc_la_OBJECTS = $(am_libecasoundc_la_OBJECTS)
libecasoundc_debug_la_DEPENDENCIES =
am__objects_2 = $(am__objects_1)
am_libecasoundc_debug_la_OBJECTS = $(am__objects_2)
libecasoundc_debug_la_OBJECTS = $(am_libecasoundc_debug_la_OBJECTS)
check_PROGRAMS = libecasoundc_tester$(EXEEXT) ecicpp_tester$(EXEEXT)
am_ecicpp_tester_OBJECTS = ecicpp_tester.$(OBJEXT)
ecicpp_tester_OBJECTS = $(am_ecicpp_tester_OBJECTS)
#ecicpp_tester_DEPENDENCIES = \
#	libecasoundc_debug.la
ecicpp_tester_DEPENDENCIES = libecasoundc.la
ecicpp_tester_LDFLAGS =
am_libecasoundc_tester_OBJECTS = libecasoundc_tester.$(OBJEXT)
libecasoundc_tester_OBJECTS = $(am_libecasoundc_tester_OBJECTS)
#libecasoundc_tester_DEPENDENCIES = \
#	libecasoundc_debug.la
libecasoundc_tester_DEPENDENCIES = \
	libecasoundc.la
libecasoundc_tester_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/eca-control-interface.Plo \
	./$(DEPDIR)/ecasoundc_sa.Plo \
	./$(DEPDIR)/ecicpp_tester.Po \
	./$(DEPDIR)/libecasoundc_tester.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libecasoundc_la_SOURCES) \
	$(libecasoundc_debug_la_SOURCES) $(ecicpp_tester_SOURCES) \
	$(libecasoundc_tester_SOURCES)
HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.in ChangeLog \
	Makefile.am libecasoundc-config.in
SOURCES = $(libecasoundc_la_SOURCES) $(libecasoundc_debug_la_SOURCES) $(ecicpp_tester_SOURCES) $(libecasoundc_tester_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  libecasoundc/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libecasoundc-config: $(top_builddir)/config.status libecasoundc-config.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

=== pyecasound/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# pyecasound/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign
EXTRA_DIST = eci.py pyeca.py ecacontrol.py \
				  test1_stresstest.py \
				  test2_stresstest.py



# ----------------------------------------------------------------------
# defines
# ----------------------------------------------------------------------
#ecasoundc_libs = -L$(top_builddir)/libecasoundc/.libs -lecasoundc_debug
ecasoundc_libs = -L$(top_builddir)/libecasoundc/.libs -lecasoundc

pyecasound_install_list1 = $(srcdir)/eci.py \
				$(srcdir)/pyeca.py \
				$(srcdir)/ecacontrol.py

pyecasound_uninstall_list1 = $(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/eci.py \
				$(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/pyeca.py \
				$(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/ecacontrol.py

#pyecasound_install_list2 = pyecasound.so
#pyecasound_uninstall_list2 = $(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/pyecasound.so

INCLUDES = -I$(srcdir) \
				-I$(top_srcdir)/libecasoundc \
				-I$(ECA_S_PYTHON_INCLUDES)


TESTS = test1_stresstest.py \
				  test2_stresstest.py



# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
pyecasound_includes = pyecasound.h
noinst_HEADERS = $(pyecasound_includes)


# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------
#noinst_LTLIBRARIES = libpyecasound.la

libpyecasound_la_SOURCES = pyecasound.c

# libtool options to build for dlopen
libpyecasound_la_LDFLAGS = -avoid-version -export-dynamic


# ----------------------------------------------------------------------
# hooks
# ----------------------------------------------------------------------
#CLEANFILES = pyecasound.so
subdir = pyecasound
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libpyecasound_la_LIBADD =
am_libpyecasound_la_OBJECTS = pyecasound.lo
libpyecasound_la_OBJECTS = $(am_libpyecasound_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/pyecasound.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libpyecasound_la_SOURCES)
HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.in ChangeLog \
	Makefile.am TODO
SOURCES = $(libpyecasound_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  pyecasound/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libpyecasound.la: $(libpyecasound_la_OBJECTS) $(libpyecasound_la_DEPENDENCIES) 
	$(LINK)  $(libpyecasound_la_LDFLAGS) $(libpyecasound_la_OBJECTS) $(libpyecasound_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/pyecasound.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \

=== rubyecasound/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# rubyecasound/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign
EXTRA_DIST = README \
				  ecasound.rb \
				  stresstest.rb



# ----------------------------------------------------------------------
# defines
# ----------------------------------------------------------------------
rubyecasound_install_list1 = $(srcdir)/ecasound.rb
rubyecasound_uninstall_list1 = $(DESTDIR)$(ECA_S_RUBY_SITEDIR)/ecasound.rb

TESTS = stresstest.rb
subdir = rubyecasound
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = README $(srcdir)/Makefile.in Makefile.am
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  rubyecasound/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xpass=`expr $$xpass + 1`; \
	        failed=`expr $$failed + 1`; \
	        echo "XPASS: $$tst"; \
	      ;; \
	      *) \
	        echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xfail=`expr $$xfail + 1`; \
	        echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
	        failed=`expr $$failed + 1`; \
	        echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -n "$$skipped" && echo "$$skipped"; \
	  test -n "$$report" && echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile

installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

=== libecasound/plugins/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libecasound/plugins/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign


# ----------------------------------------------------------------------
# defines
# ----------------------------------------------------------------------

#common_clags = -DECA_ENABLE_AUDIOIO_PLUGINS
arts_src = audioio_arts.cpp
#arts_target = 
arts_target = libaudioio_arts.la

alsa_target = libaudioio_alsa.la \
	      libaudioio_alsa_named.la

#alsa_target = 
alsa_src = audioio_alsa.cpp audioio_alsa_named.cpp
#af_target = 

af_target = libaudioio_af.la
af_src = audioio_af.cpp
#sndfile_target = 

sndfile_target = libaudioio_sndfile.la
sndfile_src = audioio_sndfile.cpp

jack_target = libaudioio_jack.la
#jack_target = 
jack_src = audioio_jack.cpp audioio_jack_manager.cpp

INCLUDES = -I$(srcdir) \
		-I$(top_srcdir) \
		-I$(top_srcdir)/libecasound \
		-I$(top_srcdir)/kvutils \
		$(ECA_S_EXTRA_CPPFLAGS)



#libdir = 	$(exec_prefix)/lib/libecasound13-plugins

# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
plugin_includes = \
			audioio_af.h \
			audioio_alsa.h \
			audioio_alsa_named.h \
			audioio_arts.h \
			audioio_jack.h \
			audioio_jack_manager.h \
			audioio_sndfile.h


noinst_HEADERS = $(plugin_includes)


# ----------------------------------------------------------------------
# build targets and compiler options target defines
# ----------------------------------------------------------------------
#noinst_LTLIBRARIES = libecasound_plugins_debug.la
noinst_LTLIBRARIES = libecasound_plugins.la

plugin_cond_sources = $(af_src) \
                        $(alsa_src) \
			$(arts_src) \
			$(jack_src) \
			$(sndfile_src)



# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------
libecasound_plugins_la_SOURCES = audioio_dummy.cpp $(plugin_cond_sources)
EXTRA_libecasound_plugins_la_SOURCES = $(plugin_cond_sources)
libecasound_plugins_la_LIBADD = $(ECA_S_EXTRA_LIBS)
libecasound_plugins_la_LDFLAGS = -static

libecasound_plugins_debug_la_SOURCES = $(libecasound_plugins_la_SOURCES)
EXTRA_libecasound_plugins_debug_la_SOURCES = $(EXTRA_libecasound_plugins_la_SOURCES)
libecasound_plugins_debug_la_LIBADD = $(libecasound_plugins_la_LIBADD)
libecasound_plugins_debug_la_LDFLAGS = $(libecasound_plugins_la_LDFLAGS)
subdir = libecasound/plugins
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libecasound_plugins_la_DEPENDENCIES =
am__libecasound_plugins_la_SOURCES_DIST = audioio_dummy.cpp \
	audioio_af.cpp audioio_alsa.cpp audioio_alsa_named.cpp \
	audioio_arts.cpp audioio_jack.cpp audioio_jack_manager.cpp \
	audioio_sndfile.cpp
am__objects_1 = audioio_af.lo
am__objects_2 = audioio_alsa.lo \
	audioio_alsa_named.lo
am__objects_3 = audioio_arts.lo
am__objects_4 = audioio_jack.lo \
	audioio_jack_manager.lo
am__objects_5 = audioio_sndfile.lo
am__objects_6 = $(am__objects_1) $(am__objects_2) $(am__objects_3) \
	$(am__objects_4) $(am__objects_5)
am_libecasound_plugins_la_OBJECTS = audioio_dummy.lo $(am__objects_6)
am__EXTRA_libecasound_plugins_la_SOURCES_DIST = audioio_af.cpp \
	audioio_alsa.cpp audioio_alsa_named.cpp audioio_arts.cpp \
	audioio_jack.cpp audioio_jack_manager.cpp audioio_sndfile.cpp
libecasound_plugins_la_OBJECTS = $(am_libecasound_plugins_la_OBJECTS)
libecasound_plugins_debug_la_DEPENDENCIES =
am__libecasound_plugins_debug_la_SOURCES_DIST = audioio_dummy.cpp \
	audioio_af.cpp audioio_alsa.cpp audioio_alsa_named.cpp \
	audioio_arts.cpp audioio_jack.cpp audioio_jack_manager.cpp \
	audioio_sndfile.cpp
am__objects_7 = audioio_dummy.lo $(am__objects_6)
am_libecasound_plugins_debug_la_OBJECTS = $(am__objects_7)
am__EXTRA_libecasound_plugins_debug_la_SOURCES_DIST = audioio_af.cpp \
	audioio_alsa.cpp audioio_alsa_named.cpp audioio_arts.cpp \
	audioio_jack.cpp audioio_jack_manager.cpp audioio_sndfile.cpp
libecasound_plugins_debug_la_OBJECTS = \
	$(am_libecasound_plugins_debug_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/audioio_af.Plo \
	./$(DEPDIR)/audioio_alsa.Plo \
	./$(DEPDIR)/audioio_alsa_named.Plo \
	./$(DEPDIR)/audioio_arts.Plo \
	./$(DEPDIR)/audioio_dummy.Plo \
	./$(DEPDIR)/audioio_jack.Plo \
	./$(DEPDIR)/audioio_jack_manager.Plo \
	./$(DEPDIR)/audioio_sndfile.Plo
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(am__libecasound_plugins_la_SOURCES_DIST) \
	$(am__EXTRA_libecasound_plugins_la_SOURCES_DIST) \
	$(am__libecasound_plugins_debug_la_SOURCES_DIST) \
	$(am__EXTRA_libecasound_plugins_debug_la_SOURCES_DIST)
HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.in ChangeLog \
	Makefile.am
SOURCES = $(libecasound_plugins_la_SOURCES) $(EXTRA_libecasound_plugins_la_SOURCES) $(libecasound_plugins_debug_la_SOURCES) $(EXTRA_libecasound_plugins_debug_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  libecasound/plugins/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)

=== debian/changelog ===
ecasound2.2 (2.3.5-7ubuntu1) hoary; urgency=low

  * python-2.4 dependency added

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Mon, 17 Jan 2005 18:22:11 +0100

ecasound2.2 (2.3.5-6) unstable; urgency=low

  * libecasound2.2-dev should depend on libsndfile1-dev.
    (closes: #282226, #282229)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Nov 2004 08:53:13 +0900

ecasound2.2 (2.3.5-5) unstable; urgency=low

  * ecasound-el depend on ecasound instead of ecasound2.2
  * 01_ecasoundrc-location-fix: fix patch so that effects_presets can be used.
    default 'ecasoundrc' was not modified correctly. 

 -- Junichi Uekawa <dancer@debian.org>  Wed, 17 Nov 2004 08:28:31 +0900

ecasound2.2 (2.3.5-3) unstable; urgency=low

  *  Build-dep on ruby

 -- Junichi Uekawa <dancer@debian.org>  Mon, 15 Nov 2004 07:14:00 +0900

ecasound2.2 (2.3.5-2) unstable; urgency=low

  * Fix upgrade path from ecasound->ecasound2.2; 
    replace libecasound7c102, libecasound7 packages since documentation has 
    moved from these packages to ecasound package
  * upload to unstable
  - newer libtool is used than libtool1.4 (closes: #279389)
  - gcc-3.4 bug is not there anymore (closes: #266709)
  - largefile support is enabled (closes: #272551)
  - ICE on gcc apparently doesn't happen with ecasound2.2 (closes: #249804)
  - menu command is interactive (closes: #235560).
  - new upstream version is now uploaded to unstable (closes: #247746)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Nov 2004 23:04:32 +0900

ecasound2.2 (2.3.5-1) experimental; urgency=low

  * New upstream release
  * debian/copyright: new upstream website/mail address.
  * Fixed 01_ecasoundrc-location-fix patch so that I can send it upstream.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Nov 2004 11:37:22 +0900

ecasound2.2 (2.3.4-1) experimental; urgency=low

  * New upstream release
  * checked against Debian policy 3.6.1.
  * patch updates
    01_ecasoundrc-location-fix: keep
    07_configure_in_maintainer_mode: keep
  * libsndfile support added, we have new enough version now.
  * Bug fix: "ecasound2.2: menu command needs to call ecasound
    interactively", thanks to tim hall (Closes: #235560).
  * Add libecasound-ruby1.8 package
  - Add build-dep on ruby1.8
  - force-install to usr/lib/ruby/1.8 instead of /usr/local/

 -- Junichi Uekawa <dancer@debian.org>  Wed,  3 Nov 2004 13:12:56 +0900

ecasound2.2 (2.3.2-1) UNRELEASED; urgency=low

  * New upstream release
  * patch updates
    01_ecasoundrc-location-fix: keep
    07_configure_in_maintainer_mode: keep
  * ecasound package
  * README.Debian: update notes on ecasound2.2
  * disable libsndfile support for now, since libsndfile 1.0.4 is not supported, requires 1.0.5
  * rebuild against jack 0.80.0

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Oct 2004 14:16:09 +0900

ecasound2.2 (2.3.1-2) unstable; urgency=low

  * Fix build failure of ecawave/ecamegapedal packages, backporting fix for 2.3.2
  some header files were missing
  - 08_fix_header_install.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Sat, 10 Jan 2004 11:10:00 +0900

ecasound2.2 (2.3.1-1) unstable; urgency=low

  * New upstream version
    - incorporates Debian patches, and minor fixes.
  * dpatch updates:
    01_ecasoundrc-location-fix: keep
    03_fix_unmatching_braces_in_ecasound_makefile_am: merged upstream
    04_ecasound_el_0.8.3: merged upstream
    05_audioio_jack_0.75_fix: merged upstream
    06_documentation_hevea: merged upstream
    07_configure_in_maintainer_mode: still applies, keep
  * debian/control: Build-Depends: add yodl

 -- Junichi Uekawa <dancer@debian.org>  Fri, 12 Dec 2003 05:48:51 +0900

ecasound2.2 (2.3.0-5) unstable; urgency=high

  * add build-Depends on python to work around /usr/bin/python not being
    available when after installing python2.3-dev; dependency of 
    python2.3-dev upon python is downgraded to recommends now.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 19 Nov 2003 22:29:27 +0900

ecasound2.2 (2.3.0-4) unstable; urgency=high

  * Fix build failure; do not include html.sty in documentation.
  * remove depcomp; old version seems to be incompatible with newer automake.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 18 Nov 2003 22:29:22 +0900

ecasound2.2 (2.3.0-3) unstable; urgency=HIGH

  * debian/control: Do not use latex2html, use hevea instead.
    (Closes: #221334).
    - 06_documentation_hevea.dpatch
  * AM_MAINTAINER_MODE added, to fix debian/rules clean interaction with files patching.
    - 07_configure_in_maintainer_mode.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Tue, 18 Nov 2003 07:58:32 +0900

ecasound2.2 (2.3.0-2) experimental; urgency=low

  * backport fix for 0.75.0 compatibility from CVS.
  - 05_audioio_jack_0.75_fix.dpatch
  
 -- Junichi Uekawa <dancer@debian.org>  Sat,  4 Oct 2003 14:03:39 +0900

ecasound2.2 (2.3.0-1) experimental; urgency=low

  * New upstream release (closes: #208160)
  - ecasound2.2: Processing time (option -t) wrong with sample-rate != 44100 Hz
    From: Stephan Niemz  (closes: #195027)
  * update Build-conflicts for libkvutils and libecasound; for c102.
  * configure option "--enable-pyecasound=python" to ensure
    pure python implementation of pyecasound.
  * Run autoconf-automake-libtool in build.
  * Fix to get ecasound building:
  - ecasound/Makefile.am: "$(readline_library}" ->  "$(readline_library)"
    03_fix_unmatching_braces_in_ecasound_makefile_am
  - libtool tries to build shared libraries anyway: 
    02_makefile_am_hack.dpatch: an unsuccessful attempt to not to
    try to add libasound and libjack et al into static library.
    -- the resulting output is no different ?
    rather, tried --disable-shared.
  * Update ecasound.el 
    04_ecasound_el_0.8.3.dpatch
    ecasound2.2: Please update ecasound.el to 0.8.3
    From: Mario Lang  (closes: #208215)
  * Note: JACK support is temporarily broken; thus experimental

 -- Junichi Uekawa <dancer@debian.org>  Tue,  2 Sep 2003 06:05:39 +0900



=== debian/control ===
Source: ecasound2.2
section: sound
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Standards-Version: 3.6.1
Build-Depends: libsndfile1-dev (>= 1.0.5), libaudiofile-dev, libasound2-dev, debhelper (>> 4.1.1), libwrap-dev, libncurses5-dev, python2.4-dev, libartsc0-dev, ladspa-sdk (>= 1.0.LGPL-3), libtool, m4, libreadline4-dev, libjack0.80.0-dev, libsamplerate0-dev, dpatch, hevea, doxygen, tetex-bin, tetex-extra, autoconf, automake1.7, python, yodl, ruby1.8, ruby
Build-Conflicts: libecasound7, libkvutils2, libecasound7c102, libkvutils2c102

Package: ecasound
Architecture: any
Depends: ${shlibs:Depends}, python-ecasound2.2, python
Suggests: mp3-encoder, mpg321 | mp3-decoder, vorbis-tools, python-ecasound (= ${Source-Version}), swh-plugins | ladspa-plugin, timidity, mikmod
Provides: ladspa-host, ecasound
Replaces: ecasound2.2 (<< 2.3.2-1), libecasound7c102, libecasound7c
Description: Multitrack-capable audio recorder and effect processor
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. A versatile console mode
 interface is included in the package.

Package: ecasound2.2
Architecture: any
Depends: ecasound (= ${Source-Version})
Description: Multitrack-capable audio recorder and effect processor
 This is a dummy package that depends on ecasound package for 
 transition purpose.

Package: libecasound2.2-dev
Architecture: any
Section: libdevel
Depends: libkvutils2.2-dev, libaudiofile-dev, libasound2-dev, libartsc0-dev, libjack0.80.0-dev, libsamplerate0-dev, libsndfile1-dev
Conflicts: libecasound-development
Provides: libecasound-development
Description: development files for ecasound
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 includes development files for ecasound (C++) bindings

Package: libkvutils2.2-dev
Architecture: any
Section: libdevel
Depends: libc-dev, libreadline4-dev
Conflicts: libkvutils1-dev, libkvutils-dev, libkvutils-development
Provides: libkvutils-development
Description: kvutils library required for ecasound - development
 Kvutils is a simple utility library, It is not meant for general use. 
 There is no documentation available.
 .
 Kvutils is freely distributable according to the terms of the GNU
 General Public License (see the file 'COPYING').
 .
 For more info about projects in which kvutils library is used,
 see http://eca.cx
 .
 includes definition-by-contract routines, and command-line parsing 
 modules, some string processing routines, and support for locks.

Package: python-ecasound2.2
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}
Provides: python-ecasound
Conflicts: python-ecasound
Description: python binding files for ecasound 2.2
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 Includes python bindings for ecasound.
 Note that this version is for python version 2.3.

Package: libecasound-ruby1.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ruby1.8, libruby1.8, ecasound (>= 2.2.0)
Provides: libecasound-ruby
Description: ruby binding files for ecasound
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 Includes ruby bindings for ecasound.

Package: libecasoundc2.2-dev
Architecture: any
Section: libdevel
Depends: libreadline4-dev
Provides: libecasoundc-dev
Conflicts: libecasoundc-dev
Replaces: libecasound-dev (<< 2.0.2-4)
Description: c binding files for ecasound (devel)
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 includes development files for C (libecasoundc)

Package: ecasound-el
Architecture: all
Section: sound
Depends: ecasound (>= 2.2.0), emacs21|xemacs21
Description: emacs binding files for ecasound sound editing environment
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 This package provides an interactive mode for running ecasound
 sessions from within Emacs as well as Emacs Lisp bindings
 to the Ecasound Control Interface (ECI).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

#specify the changeable names here...

LIBECASOUND=libecasound7
LIBECASOUNDDEV=libecasound2.2-dev
LIBKVUTILS=libkvutils2
LIBKVUTILSDEV=libkvutils2.2-dev
LIBECASOUNDC=libecasoundc0
LIBECASOUNDCDEV=libecasoundc2.2-dev
PYTHONECASOUND=python-ecasound2.2
RUBYECASOUND=libecasound-ruby1.8
ECASOUND=ecasound

CONFIGURE_OPTIONS=--prefix=/usr --mandir=/usr/share/man --enable-pyecasound=python --enable-python-force-site-packages --enable-sys-readline --with-largefile --datadir=/usr/share/ecasound2.2 --disable-shared 

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
# debug is found... debug version
CONFIGURE_OPTIONS+= --enable-debug=yes
else
# debug is not found, do not need to do anything really.
#CONFIGURE_OPTIONS+=--enable-debug=no # there was a bug in configure.in
endif


COMPILER_FLAGS=CXX=g++ CC=gcc

COMPILER_FLAGS+= CFLAGS="-g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops" CXXFLAGS="-g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops"

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  COMPILER_FLAGS+= CFLAGS="-O0 -D_REENTRANT" CXXFLAGS="-O0 -D_REENTRANT"
endif

#  RUBY related configs.
RUBYVER=1.8
RUBY_FLAGS= ECA_S_RUBY_SITEDIR="/usr/lib/ruby/${RUBYVER}/"

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	libtoolize --force
	aclocal-1.7
	autoheader
	autoconf
	automake-1.7 --add-missing
	( ${COMPILER_FLAGS} ./configure ${CONFIGURE_OPTIONS} )
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) -C Documentation docs 
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) -C Documentation clean
	-$(MAKE) -C Documentation clean-docs
	-$(MAKE) -C Documentation/programmers_guide clean-docs
	-$(MAKE) -C Documentation/users_guide clean-docs
	-$(MAKE) -C Documentation distclean
	-$(MAKE) distclean
	-rm depcomp
	-rm -f aclocal.m4 configure stamp-h.in config.guess config.sub ltmain.sh readline-4.0/config.log readline-4.0/config.status Makefile
	-for a in . Documentation/users_guide Documentation/programmers_guide Documentation contrib ecasound ecatools examples kvutils libecasound libecasound/plugins libecasoundc pyecasound ; do rm -f $$a/Makefile.in; done 
	-rm -f Documentation/users_guide/users_guide.dvi Documentation/users_guide/ecasound_users_guide.pdf Documentation/programmers_guide/programmers_guide.dvi Documentation/programmers_guide/ecasound_programmers_guide.pdf Documentation/programmers_guide/eci_doc.dvi Documentation/programmers_guide/ecasound_eci_doc.pdf

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 

	# Add here commands to install the package into debian/tmp.
	# $(MAKE) install prefix=`pwd`/debian/tmp/usr 
	$(MAKE) install DESTDIR=`pwd`/debian/${ECASOUND} ${RUBY_FLAGS}
	for A in a la ; do \
	rm -f `pwd`/debian/${ECASOUND}/usr/lib/ecasound-plugins/*.$$A \
	 `pwd`/debian/${ECASOUND}/usr/lib/python*/site-packages/*.$$A; done

	#dh_movefiles is removed. Do the mving myself.
	# libecasound-dev
	for FILES in usr/bin/libecasound-config \
		usr/lib/libecasound.a usr/lib/libecasound.la usr/include/libecasound; do \
	 	mv $(CURDIR)/debian/${ECASOUND}/$$FILES $(CURDIR)/debian/$(LIBECASOUNDDEV)/$$FILES; \
	done
	# libkvutils-dev
	for FILES in usr/lib/libkvutils.a usr/lib/libkvutils.la usr/include/kvutils ; do \
		mv $(CURDIR)/debian/${ECASOUND}/$$FILES $(CURDIR)/debian/$(LIBKVUTILSDEV)/$$FILES; \
	done
	# python
	mv $(CURDIR)/debian/${ECASOUND}/usr/lib/python* $(CURDIR)/debian/$(PYTHONECASOUND)/usr/lib/
	chmod 644 $(CURDIR)/debian/$(PYTHONECASOUND)/usr/lib/python2.4/site-packages/pyeca.py
	# ruby
	mv $(CURDIR)/debian/${ECASOUND}/usr/lib/ruby/1.8/ecasound.rb $(CURDIR)/debian/$(RUBYECASOUND)/usr/lib/ruby/1.8/
	chmod 644 $(CURDIR)/debian/$(RUBYECASOUND)/usr/lib/ruby/1.8/ecasound.rb
	# libecasoundc-dev
	mv $(CURDIR)/debian/${ECASOUND}/usr/lib/libecasoundc.a $(CURDIR)/debian/$(LIBECASOUNDCDEV)/usr/lib
	mv $(CURDIR)/debian/${ECASOUND}/usr/lib/libecasoundc.la $(CURDIR)/debian/$(LIBECASOUNDCDEV)/usr/lib
	mv $(CURDIR)/debian/${ECASOUND}/usr/bin/libecasoundc-config $(CURDIR)/debian/$(LIBECASOUNDCDEV)/usr/bin
	mv $(CURDIR)/debian/${ECASOUND}/usr/include/libecasoundc/ $(CURDIR)/debian/$(LIBECASOUNDCDEV)/usr/include/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installdirs -i
	install -m644 -o root -g root ecatools/ecasound.el debian/ecasound-el/usr/share/emacs/site-lisp/ecasound-el/ecasound.el
	dh_installemacsen -p ecasound-el --priority=60 
	dh_installchangelogs  -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	sed 's/\.pdf\"/\.pdf.gz\"/' < Documentation/index.html \
	  > debian/${ECASOUND}/usr/share/doc/${ECASOUND}/index.html
	cp -a Documentation/users_guide debian/${ECASOUND}/usr/share/doc/${ECASOUND}/
	cp -a Documentation/programmers_guide debian/${ECASOUND}/usr/share/doc/${ECASOUND}/
	dh_installexamples -a
	dh_installmenu -a
	dh_installcron -a
	dh_installmanpages -p${ECASOUND} libecasound-config.1 libecasoundc-config.1
	dh_installman -p$(LIBECASOUNDDEV) debian/libecasound-config.1
	dh_installman -p$(LIBECASOUNDCDEV) debian/libecasoundc-config.1
	dh_installinfo -a
	dh_installchangelogs  -a
	dh_link -a
	dh_python -a 
	dh_strip -a
	dh_shlibdeps -a
	dh_compress -a
	dh_fixperms -a
	dh_gencontrol -a
	dh_installdeb -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
